Fusão de Projetos

From FreeCAD Documentation
This page is a translated version of the page Std MergeProjects and the translation is 7% complete.

Std MergeProjects

Menu location
File → Merge project...
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std MergeProjects command adds the contents of a FreeCAD file into the active document.

Usage

  1. Select the File → Merge project... option from the menu.
  2. Select a FreeCAD file in the dialog box.
  3. Press the Open button.

Options

  • Press Esc or the Cancel button to abort the command.

Notes

  • A project cannot be merged with itself, selecting the current file is not allowed.
  • FreeCAD will automatically change the internal names and, depending on the preferences, labels of objects to avoid name conflicts.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To merge a project use the mergeProject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.mergeProject("Path_to_FCStd_project_file")